Bug 170450 - [patch] init files missing from pkg-plist for devel/py-ice
Summary: [patch] init files missing from pkg-plist for devel/py-ice
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-07 15:00 UTC by Ryder Dain
Modified: 2012-08-22 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.08 KB, patch)
2012-08-07 15:00 UTC, Ryder Dain
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryder Dain 2012-08-07 15:00:08 UTC
There's a discrepancy in the packing list for devel/py-ice which causes backup packages made with pkg_create -b to generate .tbz packages that are missing key __init__.py files.

tail /var/db/pkg/py27-Ice-3.4.2/+CONTENTS contains the lines:

@unexec rm -f %D/lib/python2.7/site-packages/Ice/IceBox/__init__.py 2>/dev/null || true
@unexec rmdir "%D/lib/python2.7/site-packages/Ice/IceBox" 2>/dev/null || true
@unexec rm -f %D/lib/python2.7/site-packages/Ice/IceGrid/__init__.py 2>/dev/null || true
@unexec rmdir "%D/lib/python2.7/site-packages/Ice/IceGrid" 2>/dev/null || true
@unexec rm -f %D/lib/python2.7/site-packages/Ice/IcePatch2/__init__.py 2>/dev/null || true
@unexec rmdir "%D/lib/python2.7/site-packages/Ice/IcePatch2" 2>/dev/null || true
@unexec rm -f %D/lib/python2.7/site-packages/Ice/IceStorm/__init__.py 2>/dev/null || true
@unexec rmdir "%D/lib/python2.7/site-packages/Ice/IceStorm" 2>/dev/null || true

But /usr/ports/devel/py-ice/pkg-plist doesn't include these files, so when generating a package they're  left out. Consequently, the port must be built locally, which is a problem for setups where the compilation host is segregated from the production servers. Alternatively, the files must be manually copied to the appropriate host.

Fix: I assume adding the correct paths and filenames to /usr/ports/devel/py-ice/pkg-plist will correct the problem. I've included a simple patch, but been unable to test it (I'm working from a jailed environment). Apologies if there's some error in the attachment; this is my first PR.

Patch attached with submission follows:
How-To-Repeat: pkg_create -b py27-Ice-3.4.2

..scp the package tarball py27-Ice-3.4.2.tbz to another host, then:

pkg_add py27-Ice-3.4.2.tbz

Note that the /usr/local/lib/python2.7/site-packages/Ice/[IceBox|IceGrid|IcePatch2||IceStorm]/__init__.py files are missing.
Comment 1 Edwin Groothuis freebsd_committer 2012-08-07 15:00:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-08-07 15:00:28 UTC
Maintainer of devel/py-ice,

Please note that PR ports/170450 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170450

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-08-07 15:00:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jason Helfman freebsd_committer 2012-08-07 15:54:47 UTC
Responsible Changed
From-To: freebsd-python->jgh

I'll take it.
Comment 5 Jason Helfman freebsd_committer 2012-08-08 00:24:17 UTC
State Changed
From-To: feedback->open

no feedback required
Comment 6 Jason Helfman freebsd_committer 2012-08-08 00:25:31 UTC
State Changed
From-To: open->feedback

whoops, read pr wrong
Comment 7 Jason Helfman freebsd_committer 2012-08-21 20:26:23 UTC
State Changed
From-To: feedback->open

maintainer timeout, 15days
Comment 8 dfilter service freebsd_committer 2012-08-21 20:29:31 UTC
Author: jgh
Date: Tue Aug 21 19:29:17 2012
New Revision: 302891
URL: http://svn.freebsd.org/changeset/ports/302891

Log:
  - fix plist, and bump portrevision
  - while here drop redundant defining of DISTNAME, and convert to optionsNG for DOCS
  
  PR:	170450
  Submitted by:	ryder.dain@gmail.com
  Approved by:	maintainer timeout (15 days), tonymaher@optusnet.com.au

Modified:
  head/devel/py-ice/Makefile   (contents, props changed)
  head/devel/py-ice/pkg-plist   (contents, props changed)

Modified: head/devel/py-ice/Makefile
==============================================================================
--- head/devel/py-ice/Makefile	Tue Aug 21 19:00:32 2012	(r302890)
+++ head/devel/py-ice/Makefile	Tue Aug 21 19:29:17 2012	(r302891)
@@ -7,11 +7,11 @@
 
 PORTNAME=	Ice
 PORTVERSION=	3.4.2
+PORTREVISION=	1
 CATEGORIES=	devel python
 MASTER_SITES=	http://download.zeroc.com/Ice/3.4/ \
 		http://www.dirk.sh/dirk/Ice/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-DISTNAME=	Ice-${PORTVERSION}
 
 MAINTAINER=	tonymaher@optusnet.com.au
 COMMENT=	An Ice (Internet Communications Engine) language mapping for Python
@@ -44,7 +44,7 @@ BROKEN=		does not compile on ia64
 MAKE_ENV=	LP64=yes
 .endif
 
-.if defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 MAKE_ENV+=	NOPORTDOCS=yes
 .endif
 

Modified: head/devel/py-ice/pkg-plist
==============================================================================
--- head/devel/py-ice/pkg-plist	Tue Aug 21 19:00:32 2012	(r302890)
+++ head/devel/py-ice/pkg-plist	Tue Aug 21 19:29:17 2012	(r302891)
@@ -6,7 +6,9 @@
 %%PYTHON_SITELIBDIR%%/Ice/Glacier2_Session_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/Glacier2.py
 %%PYTHON_SITELIBDIR%%/Ice/Ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceBox/__init__.py
 %%PYTHON_SITELIBDIR%%/Ice/IceBox_IceBox_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid/__init__.py
 %%PYTHON_SITELIBDIR%%/Ice/IceGrid_Admin_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/IceGrid_Descriptor_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/IceGrid_Exception_ice.py
@@ -17,8 +19,10 @@
 %%PYTHON_SITELIBDIR%%/Ice/IceGrid_Registry_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/IceGrid_Session_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/IceGrid_UserAccountMapper_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IcePatch2/__init__.py
 %%PYTHON_SITELIBDIR%%/Ice/IcePatch2_FileInfo_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/IcePatch2_FileServer_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceStorm/__init__.py
 %%PYTHON_SITELIBDIR%%/Ice/IceStorm_IceStorm_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/Ice_BuiltinSequences_ice.py
 %%PYTHON_SITELIBDIR%%/Ice/Ice_CommunicatorF_ice.py
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Jason Helfman freebsd_committer 2012-08-21 20:29:38 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 10 dfilter service freebsd_committer 2012-08-22 16:18:26 UTC
Author: jgh
Date: Wed Aug 22 15:18:15 2012
New Revision: 302944
URL: http://svn.freebsd.org/changeset/ports/302944

Log:
  - fix inverted logic from previous commit of r302891
  
  PR:	170450
  Spotted by:	basm
  Approved by:	maintainer, implicit

Modified:
  head/devel/py-ice/Makefile

Modified: head/devel/py-ice/Makefile
==============================================================================
--- head/devel/py-ice/Makefile	Wed Aug 22 15:10:09 2012	(r302943)
+++ head/devel/py-ice/Makefile	Wed Aug 22 15:18:15 2012	(r302944)
@@ -7,7 +7,7 @@
 
 PORTNAME=	Ice
 PORTVERSION=	3.4.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel python
 MASTER_SITES=	http://download.zeroc.com/Ice/3.4/ \
 		http://www.dirk.sh/dirk/Ice/
@@ -44,7 +44,7 @@ BROKEN=		does not compile on ia64
 MAKE_ENV=	LP64=yes
 .endif
 
-.if ${PORT_OPTIONS:MDOCS}
+.if empty(PORT_OPTIONS:MDOCS)
 MAKE_ENV+=	NOPORTDOCS=yes
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"